<?php
	$db = new PDO('mysql:host=localhost;dbname=mybank', 'mybank', 'DC9VYaixgtQcYiLu9jSd');
	
	$error = false;
	$showForm = true;
	
	if (isset($_POST['submit'])) {
		$username = $_POST['username'];
		$password = $_POST['password'];
		
		$sql = "SELECT id, password FROM user WHERE username = :username";
		$stmt = $db->prepare($sql);
		$stmt->bindParam('username', $username, PDO::PARAM_STR, 15);
		$stmt->execute();

		if ($row = $stmt->fetch(PDO::FETCH_ASSOC)) {
			if (password_verify($password, $row['password'])) {
				session_start();
				$_SESSION['userid'] = $row['id'];
				$redirect = "https://ssl.mybank.com/overview.php";
				header("Location: $redirect");
			}
			else {
				$error = 'Wrong credentials';
			}
		}
		else {
			$error = 'Wrong credentials';
		}
	}
?>
<html>
<head>

</head>

<body>
	<div id="welcome">
		Welcome to MyBank!
	</div>
	<?php
		if ($error) {
			echo '<div id="warning">' . $error . '</div>';
		}
	?>
	<div id="form">
		<form action="https://ssl.mybank.com" method="POST">
			<label>Username:</label><input type="text" name="username" maxlength="15" />
			<label>Password:</label><input type="password" name="password" />
			<input type="submit" name="submit" value="Login" />
		</form>
	</div>
</body>
</html>
